// Test Variant with vector

#ifndef TEST_VARIANT_H
#define TEST_VARIANT_H

#include <dbus-c++/dbus.h>
#include <vector>

#include "TestVariantGlue.h"

class TestVariant
: public org::freedesktop::DBus::TestVariant,
  public DBus::IntrospectableAdaptor,
  public DBus::ObjectAdaptor
{
 public:

  // Constructor
  TestVariant(DBus::Connection &conn);

  virtual ~TestVariant();


  // Declare virtual fucntion
  virtual std::vector<DBus::Variant> GetParameters();

};

#endif
