// Implementation

#include <dbus-c++/dbus.h>
#include <vector>
#include "TestVariant.h"


#define TEST_PATH "/org/freedesktop/DBus/TestVariant/variant"

/////////////////////////////////////////////////////////////////////////////
TestVariant::TestVariant(DBus::Connection &conn) :
  DBus::ObjectAdaptor(conn, TEST_PATH)
{
}
/////////////////////////////////////////////////////////////////////////////
TestVariant::~TestVariant()
{
}
/////////////////////////////////////////////////////////////////////////////
std::vector<DBus::Variant> TestVariant::GetParameters()
{
  std::cerr << "Get Parameter called\n";

  DBus::Variant var;
  DBus::MessageIter i = var.writer();
  i << DBus::String("Hello");
  std::vector<DBus::Variant> vt;
  vt.push_back(var);
  return vt;
}

/////////////////////////////////////////////////////////////////////////////
